<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- reference.qdoc -->
  <title>List of All Items | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >List of All Items</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">List of All Items</h1>
<span class="subtitle"></span>
<!-- $$$list-of-items-description -->
<div class="descr"> <a name="details"></a>
<p>Qbs provides the following <a href="qbslanguageitems-qmlmodule.html">built-in</a>, <a href="qbsconvenienceitems-qmlmodule.html">convenience</a>, and <a href="list-of-probes.html">probe</a> items to define projects.</p>
</div>
<!-- @@@list-of-items -->
<div class="table"><table class="annotated">
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-appleapplicationdiskimage.html">AppleApplicationDiskImage</a></p></td><td class="tblDescr"><p>Apple application drag 'n' drop disk image installer</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-applediskimage.html">AppleDiskImage</a></p></td><td class="tblDescr"><p>Apple disk image</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-application.html">Application</a></p></td><td class="tblDescr"><p>Product of the type application</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-applicationextension.html">ApplicationExtension</a></p></td><td class="tblDescr"><p>Application Extension for iOS, macOS, tvOS, or watchOS</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-artifact.html">Artifact</a></p></td><td class="tblDescr"><p>Describes a file produced by a Rule</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-autotestrunner.html">AutotestRunner</a></p></td><td class="tblDescr"><p>Product that runs all autotests in the project</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-binaryprobe.html">BinaryProbe</a></p></td><td class="tblDescr"><p>Locates executable files outside the project</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-cppapplication.html">CppApplication</a></p></td><td class="tblDescr"><p>C++ application</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-depends.html">Depends</a></p></td><td class="tblDescr"><p>Represents dependencies between products and modules</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-dynamiclibrary.html">DynamicLibrary</a></p></td><td class="tblDescr"><p>Dynamic library</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-export.html">Export</a></p></td><td class="tblDescr"><p>Exports dependencies and properties to other products</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-filetagger.html">FileTagger</a></p></td><td class="tblDescr"><p>Assigns file tags to files</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-frameworkprobe.html">FrameworkProbe</a></p></td><td class="tblDescr"><p>Locates macOS frameworks outside the project</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-group.html">Group</a></p></td><td class="tblDescr"><p>Groups files in a product</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-includeprobe.html">IncludeProbe</a></p></td><td class="tblDescr"><p>Locates header files outside the project</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-innosetup.html">InnoSetup</a></p></td><td class="tblDescr"><p>Inno Setup installer executable</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-installpackage.html">InstallPackage</a></p></td><td class="tblDescr"><p>Archive of an installed project</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-javaclasscollection.html">JavaClassCollection</a></p></td><td class="tblDescr"><p>Collection of Java class files not bundled in a jar file</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-javajarfile.html">JavaJarFile</a></p></td><td class="tblDescr"><p>Collection of Java class files bundled in a jar file</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-joblimit.html">JobLimit</a></p></td><td class="tblDescr"><p>Restricts concurrent execution of jobs in a given pool</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-loadablemodule.html">LoadableModule</a></p></td><td class="tblDescr"><p>Loadable module</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-module.html">Module</a></p></td><td class="tblDescr"><p>Represents a collection of properties and items that can be loaded into a product</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-moduleprovider.html">ModuleProvider</a></p></td><td class="tblDescr"><p>Creates modules on demand</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-parameter.html">Parameter</a></p></td><td class="tblDescr"><p>Declares a dependency parameter</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-parameters.html">Parameters</a></p></td><td class="tblDescr"><p>Defines default values for dependency parameters within Export items</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-pathprobe.html">PathProbe</a></p></td><td class="tblDescr"><p>Locates files outside the project</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-pkgconfigprobe.html">PkgConfigProbe</a></p></td><td class="tblDescr"><p>Retrieves the information about installed packages using the pkg-config binary</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-probe.html">Probe</a></p></td><td class="tblDescr"><p>Locates files outside the project</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-product.html">Product</a></p></td><td class="tblDescr"><p>Represents the result of a build process</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-profile.html">Profile</a></p></td><td class="tblDescr"><p>Creates a profile within the project</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-project.html">Project</a></p></td><td class="tblDescr"><p>Represents a collection of products and properties</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-properties.html">Properties</a></p></td><td class="tblDescr"><p>Provides conditional setting of properties</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-propertyoptions.html">PropertyOptions</a></p></td><td class="tblDescr"><p>Provides inline documentation for properties within product and module items</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-qtapplication.html">QtApplication</a></p></td><td class="tblDescr"><p>Application with a dependency on the Qt Core module</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-qtguiapplication.html">QtGuiApplication</a></p></td><td class="tblDescr"><p>Application with a dependency on the Qt GUI module</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-rule.html">Rule</a></p></td><td class="tblDescr"><p>Creates transformers for input tags</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-scanner.html">Scanner</a></p></td><td class="tblDescr"><p>Creates custom dependency scanners in modules</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-staticlibrary.html">StaticLibrary</a></p></td><td class="tblDescr"><p>Static library</p></td></tr>
<tr class="odd topAlign"><td class="tblName"><p><a href="qml-qbslanguageitems-subproject.html">SubProject</a></p></td><td class="tblDescr"><p>Adds a project from a different file</p></td></tr>
<tr class="even topAlign"><td class="tblName"><p><a href="qml-qbsconvenienceitems-xpcservice.html">XPCService</a></p></td><td class="tblDescr"><p>XPC service for macOS, iOS, tvOS, or watchOS</p></td></tr>
</table></div>
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
